/{organizationId}/{mandateId}/finance/cash/onlineDebits/listList Online Debits for one Online Debit collection
Returns an Online Debit collection chunk with its debits for a given mandate
Required permissions:
mandate.read
onlineDebitCollection.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
onlineDebitCollectionIdstringrequired Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/cash/onlineDebits/list' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"onlineDebitCollectionId": "string"
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Additional properties are not allowed.
Response
{
"onlineDebitCollection": {
"_id": "000000000000000000000001",
"organization": "000000000000000000000001",
"mandate": "000000000000000000000001",
"number": "string",
"chunk": 1,
"executeAt": "string",
"transactionsCount": 1,
"totalAmount": 1,
"totalPaidAmount": 0,
"paidTransactionsCount": 0,
"failedTransactionsCount": 0,
"status": "scheduled",
"onlineDebits": [
{
"_id": "000000000000000000000001",
"receipt": "000000000000000000000001",
"paymentMethod": {
"paymentMethod": "000000000000000000000001",
"ownerType": "debtor",
"ownerId": "000000000000000000000001"
},
"totalAmount": 1,
"totalPaidAmount": 0,
"status": "scheduled",
"paymentIntent": "000000000000000000000001",
"executedAt": "2026-06-15T22:30:00Z",
"failure": "string",
"receiptData": {
"_id": "000000000000000000000001",
"receiptNumber": "string",
"account": 1,
"accountName": "string"
},
"paymentMethodData": {
"_id": "000000000000000000000001",
"details": {
"type": "card",
"brand": "string",
"last4": "string",
"expiryMonth": 1,
"expiryYear": 2000,
"label": "string"
},
"status": "pending",
"provider": {
"type": "stripe"
}
},
"paymentIntentData": {
"_id": "000000000000000000000001",
"provider": "stripe",
"status": "succeeded",
"cashTransaction": "000000000000000000000001",
"transactionId": null,
"errorDetails": null
}
}
]
}
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}